Bug 1730086 - Boot of all i686 images fails with clock_gettime assertion failure since Fedora-Rawhide-20190711.n.1
Summary: Boot of all i686 images fails with clock_gettime assertion failure since Fedo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 19:25 UTC by Adam Williamson
Modified: 2019-07-22 21:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-19 22:03:43 UTC


Attachments (Terms of Use)

Description Adam Williamson 2019-07-15 19:25:02 UTC
Between Fedora-Rawhide-20190709.n.1 (when everything was OK) and Fedora-Rawhide-20190711.n.1, i686 images all began failing to boot successfully at all. They all get stuck showing boot messages; live images don't reach a desktop, installer images don't reach the installer.

It seems that multiple bits of systemd (at least systemd-udevd and systemd-journald) all hit the same or similar assertion failure during boot:

Assertion 'clock_gettime(map_clock_id(clock_id), &ts) == 0' failed at ../src/basic/time-util.c:55, function now(). Aborting.

systemd itself did not change between the two composes; my guess at the most likely trigger here is the kernel, which went from kernel-5.2.0-1.fc31 to kernel-5.3.0-0.rc0.git3.1.fc31 . So I'm CC'ing jforbes and labbott.

Note this is not release-blocking as i686 is no longer a release-blocking arch, but as long as we're building the images we should try and make them work...

Comment 1 Laura Abbott 2019-07-16 13:15:58 UTC
Let's wait until the merge window closes and we get -rc1 on Sunday/Monday. There's often a lot of churn and I thought there was a regression there although I can't find the thread.

Comment 2 Justin M. Forbes 2019-07-19 22:03:43 UTC
i686 is no longer supported as a bootable image on rawhide/F31 and beyond. Bootable images should no longer be built, and i686 kernels stopped being built on the 13th.

Comment 3 Adam Williamson 2019-07-20 20:04:01 UTC
"Bootable images should no longer be built"

Well, they still are being. We got them all in the most recent compose, 20190719.n.1. Clearly someone hasn't shut off a tap somewhere.

Comment 4 Adam Williamson 2019-07-22 18:31:57 UTC
Seems lives have been shut off, but installer builds had not. Kevin's going to send a PR for that soon.

Comment 5 Adam Williamson 2019-07-22 21:45:27 UTC
OK, that PR is merged, so we should be all good now.


Note You need to log in before you can comment on or make changes to this bug.